Skip to main content
`Ctrl`+`K`

# NEPInterpolGetInterpolation

Gets the tolerance and maximum degree when building the interpolation polynomial.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPInterpolGetInterpolation(NEP nep,PetscReal *tol,PetscInt *deg)

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameters

- tol - tolerance to stop computing polynomial coefficients

- deg - maximum degree of interpolation

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPINTERPOL`, `NEPInterpolSetInterpolation()`

## Level

advanced

## Location

src/nep/impls/interpol/interpol.c

## Implementations

NEPInterpolGetInterpolation_Interpol() in src/nep/impls/interpol/interpol.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages